package com.yc.ship.module.product.service.pricesinglesetting;

import com.yc.ship.module.product.dal.dataobject.pricesinglesetting.PriceSingleSettingDO;
import com.yc.ship.module.product.dal.mysql.pricesinglesetting.PriceSingleSettingMapper;
import org.springframework.stereotype.Service;
import org.springframework.validation.annotation.Validated;

import javax.annotation.Resource;
import java.util.List;

/**
 * 价格单人票设置 Service 实现类
 *
 * @author 管理员
 */
@Service
@Validated
public class PriceSingleSettingServiceImpl implements PriceSingleSettingService {

    @Resource
    private PriceSingleSettingMapper priceSingleSettingMapper;



    @Override
    public void deletePriceSingleSetting(Long id) {
        // 删除
        priceSingleSettingMapper.deleteById(id);
    }


    @Override
    public PriceSingleSettingDO getPriceSingleSetting(Long id) {
        return priceSingleSettingMapper.selectById(id);
    }

    @Override
    public List<PriceSingleSettingDO> getByObjectId(Long objectId) {
        return priceSingleSettingMapper.selectByObjectId(objectId);
    }

}